<html><!-- #BeginTemplate "/Templates/General.dwt" -->
<head>
<!-- #BeginEditable "jspinit" -->
<%@ page errorPage="lterror.jsp" import="com.livis.livingtalks.web.*" %>
<jsp:useBean id="webimport" scope="session" class="com.livis.livingtalks.web.ImportWebImpl" />
<%-- Set initial defaults and constants first, then override by optional parameters to JSP --%>
<% webimport.init (); %>
<jsp:setProperty name="webimport" property="storePath"   value="<%= application.getRealPath (request.getServletPath ()) %>" />
<jsp:setProperty name="webimport" property="requestPath" value="<%= HttpUtils.getRequestURL (request).toString () %>" />
<%
	// move datasets directory out of deploy directory but stay within root of webserver
	webimport.setStorePath   (webimport.getStorePath ()   + ".." + java.io.File.separator + "datasets" + java.io.File.separator);
	webimport.setRequestPath (webimport.getRequestPath () + "../datasets/");
%>
<jsp:setProperty name="webimport" property="*" />
<!-- #EndEditable --> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description" lang="en" content="LivingTalks Conference Management Tool">
<!-- #BeginEditable "doctitle" --> 
<title>LivingTalks -- the conference management tool</title>
<!-- #EndEditable --> 
<link rel="stylesheet" href="styles/node.css">
</head>
<body bgcolor="#FFFFFF">
<!-- #BeginEditable "Body" --> 
<%@ include file="banner.jsp" %>
<h1 class="masterhead">Import or restore</h1>
<p class="pnormal"><b>Important Note</b>: Only the <i>master user</i> may import more than <b>70</b> records (app. 10 talks with 3 authors each).
 And only the <i>master user</i> may use the "<code>allow errors</code>" option!</p>
<p>When importing from a previously exported file, be sure to extract the relevant piece only.
 Your import will fail if you try to import categories or talks for categories you have no write
 permission for. Also, maintain and always import entities "talk" and "authorship" together.</p>
<%-- Put this here because processRequest may output status messages --%>
<div style="background-color: #FFCC99">
<%
  String method = request.getParameter ("method");
  if (method == null || method.equals ("")) method = "clear";
  webimport.processRequest (method, out);
%>
</div>
<p class="pnormal">Please, select a source where you want to import from.</p>
<table width="95%" border="0" cellspacing="0" align="center" cellpadding="4">
  <form method="post" name="theForm" action="import.jsp">
    <input type="hidden" name="conference" value="Net.ObjectDays 2000">
    <tr> 
      <td bgcolor="#FFCC99"><b>Import option: </b></td>
      <td bgcolor="#FFFFCC">
		<input type="radio" name="mode" value="IMPORT" checked>&nbsp;
		<b>restore</b> <i class="psmallNormal">(replace the entire database!)</i><br>
		<input type="radio" name="mode" value="ADD">&nbsp;
		<b>add</b> <i class="psmallNormal">(add new items which must not exist yet!)</i><br>
		<input type="radio" name="mode" value="CHANGE">&nbsp;
		<b>change</b> <i class="psmallNormal">(add new items and/or override existing ones!)</i><br>
	  </td>
	</tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Security: </b></td>
      <td bgcolor="#FFFFCC">
	  	<hr>
		<input type="radio" name="inOneTx" value="no" checked>&nbsp;
		<b>allow errors</b> <i class="psmallNormal">(errors are reported but are ignored otherwise!)</i><br>
		<input type="radio" name="inOneTx" value="yes">&nbsp;
		<b>must succeed</b> <i class="psmallNormal">(either completely succeeds or nothing is changed)</i>
	  </td>
	</tr>
    <tr> 
      <td bgcolor="#FFCC99"><b> </b></td>
      <td bgcolor="#FFFFCC">
		<p class="psmall"><b>Note</b>: The combination of "<code>restore</code>" and "<code>must succeed</code>" will take a couple of <b>hours</b> to complete!</p>
	  </td>
	</tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Source: </b></td>
      <td bgcolor="#FFFFCC"><hr>
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		  	<td><input type="radio" name="urlSource" value="no" checked>&nbsp;</td>
		    <td>
              <select name="importXml">
                <option value="">[Select a source]</option>
			    <jsp:getProperty name="webimport" property="sources" />
              </select>
		    </td>
		    <td>
			   <i class="psmallNormal">import from source named in this menue</i>
		    </td>
		  </tr>
		  <tr>
		  	<td><input type="radio" name="urlSource" value="yes">&nbsp;</td>
		    <td>
              <input type="text" name="importUrl" size="50"
		       value="<jsp:getProperty name="webimport" property="importUrl" />">
		    </td>
		    <td>
			   <i class="psmallNormal"><b>or</b> import from this absolute URL.</i>
		    </td>
		  </tr>
		</table>
	  </td>
	</tr>
    <tr valign="top"> 
      <td bgcolor="#FFCC99">&nbsp;</td>
      <td bgcolor="#FFFFCC" nowrap>
	    <hr>
        <input type="submit" name="method" value="import"  title="import from list" bgcolor="#FFCC99" class="butt">
        &nbsp;&nbsp;&nbsp;&nbsp; 
        <input type="reset"  name="reset"  value="reset"   title="undo your current modifications" bgcolor="#FFCC99" class="butt">
        <input type="button" name="cancel" value="cancel"  title="quit the current operation" onClick="history.back()" bgcolor="#FFCC99" class="butt">
        &nbsp;&nbsp;&nbsp;&nbsp; 
        <input type="button" name="export" value="->export"  title="go to export" onClick="window.location.href = 'export.jsp';" bgcolor="#FFCC99" class="butt">
        <p class="footer" align="right"><b>Note:</b> The <kbd>[RETURN]</kbd>-key 
          has no effect, always click the appropriate button! This form requires javascript to work!</p>
      </td>
    </tr>
  </form>
</table>
<p>
  <br></p>
<!-- #EndEditable --> 
<p class="footer"><a href="http://www.living-pages.de" target="_blank"><img src="images/logo64.gif" width="64" height="64" align="right" hspace="10" border="0" alt="Living Pages Research GmbH"></a>&nbsp;</p>
<hr>
<p class="footer">LivingTalks conference tool. -- Copyright &copy;&nbsp;2000 
  <a href="http://www.living-pages.de" target="_blank" class="footerLink">Living 
  Pages Research GmbH</a>. All rights reserved</p>
<p class="footer">Version 1.1 -- Last updated <!-- #BeginEditable "UpDate" --><!-- #BeginDate format:Am1 -->June 
  30, 2000<!-- #EndDate --><!-- #EndEditable --> by <a href="mailto:webmaster@living-pages.de" class="footerLink">webmaster@living-pages.de</a></p>
</body>
<!-- #EndTemplate --></html>
