<html><!-- #BeginTemplate "/Templates/General.dwt" -->
<head>
<!-- #BeginEditable "jspinit" -->
<%@ page errorPage="/lterror.jsp" import="com.livis.livingtalks.web.*" %>
<jsp:useBean id="webpublish" scope="session" class="com.livis.livingtalks.web.PublishWebImpl" >
  <%-- we do not put 'webpublish.init' here, because we need it executed at page scope --%>
</jsp:useBean>
<%-- Set initial defaults and constants first, then override by optional parameters to JSP --%>
<% webpublish.init (); %>
<jsp:setProperty name="webpublish" property="*" />
<!-- #EndEditable --> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description" lang="en" content="LivingTalks Conference Management Tool">
<!-- #BeginEditable "doctitle" --> 
<title>LivingTalks -- the conference management tool</title>
<!-- #EndEditable --> 
<link rel="stylesheet" href="../styles/node.css">
</head>
<body bgcolor="#FFFFFF">
<!-- #BeginEditable "Body" --> 
<%@ include file="../banner.jsp" %>
<h1 class="masterhead">Publishing</h1>
<p></p>
<%-- Put this here because processRequest may output status messages --%>
<div style="background-color: #FFCC99">
<%
  String method = request.getParameter ("method");
  if (method == null || method.equals ("")) method = "clear";
  webpublish.processRequest (method, out, request.getQueryString ());
%>
</div>
<p class="pnormal">Please, select the items you want to publish.</p>
<p>A full publishing operation will involve all five publishing options because the generated documents
  may contain hyperlinks which refer each other.</p>
<p>Depending on the installation properties of the tool, it may be sufficient to just click "<b>update</b>" to make
the new content visible on the publishing webserver. This is the case where the tool's publishing directory
is identical to the website's, or where the website's publishing directory uses symbolic links to refer to the
generated content (Unix only). The publishing operation then is just a single click.</p>
<p>Whenever this is not possible (eg., where tool and website run on different machines) or not
recommended (eg., for reasons of security) one must download the archive file from this page.<p>
<p>The archive file may be generated from previously produced content, by clicking on "<b>archive</b>".</p>
<p><b>Notice</b>: When inspecting HTML from this page, be aware that the HTML page's <samp>base</samp> is not that
  of its final destination! The consequences may range from broken links to completely unreadable chaos
  when images, stylesheets, scriptfiles or frames cannot be included.
<p>As a consequence, inspecting HTML files <i>is not recommended</i>! Download the archive file instead and
  deploy its contents to a meaningful destination for proper inspection (or printing) instead.
  <br>&nbsp;</p>
<table width="95%" border="0" cellspacing="0" align="center" cellpadding="4">
  <form method="get" name="theForm" action="publish.jsp">
    <input type="hidden" name="storePath"
	 value="<%= application.getRealPath (request.getServletPath ()) %>" >
    <input type="hidden" name="requestPath"
	 value="<%= HttpUtils.getRequestURL (request).toString () %>" >
    <input type="hidden" name="previewInstallPath"
	 value="<%= request.getRequestURI () %>" >
    <input type="hidden" name="websitePath"
	 value="http://www.netobjectdays.org/index.html;http://www.net.objectdays.org/;http://net.objectdays.org/">
    <input type="hidden" name="installPath"
	 value="node00/de/Conf/publish/">
    <tr> 
      <td bgcolor="#FFCC99"><b>Formatting options: </b></td>
      <td bgcolor="#FFFFCC">
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td>
	          <input type="checkbox" name="previewCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="previewCheckBoxState" />
		      >&nbsp;
		    </td>
		    <td>
			  <i class="psmallNormal">( Mark in order to <b>only</b> generate inner html with no navigation etc. )</i>
		    </td>
		  </tr>
		  <tr>
		    <td>
	          <input type="checkbox" name="styleDraftsCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="styleDraftsCheckBoxState" />
		      >&nbsp;
		    </td>
		    <td>
			  <i class="psmallNormal">( Mark in order to <b>also</b> generate talks with "<code>draft</code>" state )</i>
		    </td>
		  </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Print &amp; Overview: </b></td>
      <td bgcolor="#FFFFCC">
	  	<hr>
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td>
	          <input type="checkbox" name="xprintCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="xprintCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="printXml" size="40"
		       value="<jsp:getProperty name="webpublish" property="printXml" />">
			   &nbsp;
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="printXml" />" target="_blank">
			  view XML file (version since last update)</a>
		    </td>
		  </tr>
		  <tr>
		    <td>
	          <input type="checkbox" name="printCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="printCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="printHtml" size="40"
		       value="<jsp:getProperty name="webpublish" property="printHtml" />">
              <input type="hidden" name="printJsp" value="mk-print.jsp">
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="printHtml" />" target="_blank">
			  view printing HTML (version since last update)</a>
		    </td>
		  </tr>
		  <tr>
		    <td>
	          <input type="checkbox" name="overviewCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="overviewCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="overviewHtml" size="40"
		       value="<jsp:getProperty name="webpublish" property="overviewHtml" />">
              <input type="hidden" name="overviewJsp" value="mk-overview.jsp">
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="overviewHtml" />" target="_blank">
			  view overview HTML (version since last update)</a>
		    </td>
		  </tr>
		  <tr>
		    <td>
	          <input type="checkbox" name="nsviewCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="nsviewCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="nsviewHtml" size="40"
		       value="<jsp:getProperty name="webpublish" property="nsviewHtml" />">
              <input type="hidden" name="nsviewJsp" value="mk-nsoverview.jsp">
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="nsviewHtml" />" target="_blank">
			  view Netscape overview (version since last update)</a>
		    </td>
		  </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC99"><b> </b></td>
      <td bgcolor="#FFFFCC">
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td nowrap>
              <input type="text" name="styleCw" size="10"
		       value="<jsp:getProperty name="webpublish" property="styleCw" />">
			  &nbsp;width&nbsp;&times;&nbsp;
		    </td>
		    <td nowrap>
              <input type="text" name="styleHourh" size="10"
		       value="<jsp:getProperty name="webpublish" property="styleHourh" />">
			  &nbsp;height&nbsp;
		    </td>
		    <td valign="baseline"><i class="psmallNormal">[pixels] column-width &times; hour-height in overview chart</i></td>
		  </tr>
		  <tr>
		    <td nowrap>
	          <input type="checkbox" name="styleDoublepageCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="styleDoublepageCheckBoxState" />
		      >&nbsp;double-page?&nbsp;
		    </td>
		    <td nowrap>
              <input type="text" name="stylePagenumber" size="5"
		       value="<jsp:getProperty name="webpublish" property="stylePagenumber" />">
			  &nbsp;page-no.&nbsp;
		    </td>
		    <td valign="baseline"><i class="psmallNormal">mark whether page shall be printed on two pages, and<br>number of page which to make HTML files for (leave empty for all pages)</i></td>
		  </tr>
		  <tr>
		    <td nowrap>
	          <input type="checkbox" name="styleSessautCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="styleSessautCheckBoxState" />
		      >&nbsp;authors in sessions?&nbsp;
		    </td>
		    <td nowrap>
              <input type="text" name="styleCutlen" size="5"
		       value="<jsp:getProperty name="webpublish" property="styleCutlen" />">
			  &nbsp;title-length&nbsp;
		    </td>
		    <td valign="baseline"><i class="psmallNormal">mark whether sessions shall list names of authors, and a maximum length [characters] of titles of talks (leave empty for no such limit)</i></td>
		  </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Agenda: </b></td>
      <td bgcolor="#FFFFCC">
	  	<hr>
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td rowspan="2">
	          <input type="checkbox" name="agendaCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="agendaCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="agendaXml" size="40"
		       value="<jsp:getProperty name="webpublish" property="agendaXml" />">
			   &nbsp;
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="agendaXml" />" target="_blank">
			  view XML file (version since last update)</a>
		    </td>
		  </tr>
		  <tr>
		    <td>
              <input type="text" name="agendaHtml" size="40"
		       value="<jsp:getProperty name="webpublish" property="agendaHtml" />">
              <input type="hidden" name="agendaJsp" value="mk-agenda.jsp">
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="agendaHtml" />" target="_blank">
			  view HTML file (version since last update)</a>
		    </td>
		  </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Talks: </b></td>
      <td bgcolor="#FFFFCC">
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td rowspan="2">
	          <input type="checkbox" name="talksCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="talksCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="talksXml" size="40"
		       value="<jsp:getProperty name="webpublish" property="talksXml" />">
			   &nbsp;
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="talksXml" />" target="_blank">
			  view XML file (version since last update)</a>
		    </td>
		  </tr>
		  <tr>
		    <td>
              <input type="text" name="talksHtml" size="40"
		       value="<jsp:getProperty name="webpublish" property="talksHtml" />">
              <input type="hidden" name="talksJsp" value="mk-talks.jsp">
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="talksHtml" />" target="_blank">
			  view HTML file (version since last update)</a>
		    </td>
		  </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Authors: </b></td>
      <td bgcolor="#FFFFCC">
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td rowspan="2">
	          <input type="checkbox" name="authorsCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="authorsCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="authorsXml" size="40"
		       value="<jsp:getProperty name="webpublish" property="authorsXml" />">
			   &nbsp;
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="authorsXml" />" target="_blank">
			  view XML file (version since last update)</a>
		    </td>
		  </tr>
		  <tr>
		    <td>
              <input type="text" name="authorsHtml" size="40"
		       value="<jsp:getProperty name="webpublish" property="authorsHtml" />">
              <input type="hidden" name="authorsJsp" value="mk-authors.jsp">
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="authorsHtml" />" target="_blank">
			  view HTML file (version since last update)</a>
		    </td>
		  </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Download archive: </b></td>
      <td bgcolor="#FFFFCC">
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td>
	          <input type="checkbox" name="archiveCheckBoxState" value="checked"
		        <jsp:getProperty name="webpublish" property="archiveCheckBoxState" />
		      >
		    </td>
		    <td>
              <input type="text" name="archiveJar" size="40"
		       value="<jsp:getProperty name="webpublish" property="archiveJar" />">
			   &nbsp;
		    </td>
		    <td>
			  <a href="<jsp:getProperty name="webpublish" property="archiveJar" />">
			  right-click to <b>download</b> after update</a>
		    </td>
		  </tr>
        </table>
      </td>
    </tr>
    <tr valign="top"> 
      <td bgcolor="#FFCC99">&nbsp;</td>
      <td bgcolor="#FFFFCC" nowrap>
	    <hr>
	    <p class="pnormal">Click "<b>update</b>" to update all selected (check-marked) items</p>
	    <p class="pnormal">Click "<b>archive</b>" to update download archive only <i>(even if not check-marked)</i></p>
        <input type="submit" name="method" value="update"  title="save your modifications" bgcolor="#FFCC99" class="butt">
        <input type="submit" name="method" value="archive" title="copy this as a template for new data" bgcolor="#FFCC99" class="butt">
        &nbsp;&nbsp;&nbsp;&nbsp; 
        <input type="reset"  name="reset"  value="reset"   title="undo your current modifications" bgcolor="#FFCC99" class="butt">
        &nbsp;&nbsp;&nbsp;&nbsp; 
        <input type="button" name="cancel" value="cancel"  title="quit the current operation" onClick="history.back()" bgcolor="#FFCC99" class="butt">
        <p class="footer" align="right"><b>Note:</b> The <kbd>[RETURN]</kbd>-key 
          has no effect, always click the appropriate button! This form requires javascript to work!</p>
      </td>
    </tr>
  </form>
</table>
<p class="psmallNormal"><b>Notice</b>: Some unzippers (eg., WinZIP&nbsp;6.2) have trouble extracting from the
  archive file <i>(producing only files of size 0)</i>. WinZIP&nbsp;8.0, Unix&nbsp;unzip and Java's&nbsp;jar utility are known to work.</p>
<!-- #EndEditable --> 
<p class="footer"><a href="http://www.living-pages.de" target="_blank"><img src="../images/logo64.gif" width="64" height="64" align="right" hspace="10" border="0" alt="Living Pages Research GmbH"></a>&nbsp;</p>
<hr>
<p class="footer">LivingTalks conference tool. -- Copyright &copy;&nbsp;2000 
  <a href="http://www.living-pages.de" target="_blank" class="footerLink">Living 
  Pages Research GmbH</a>. All rights reserved</p>
<p class="footer">Version 1.1 -- Last updated <!-- #BeginEditable "UpDate" --><!-- #BeginDate format:Am1 -->June 
  30, 2000<!-- #EndDate --><!-- #EndEditable --> by <a href="mailto:webmaster@living-pages.de" class="footerLink">webmaster@living-pages.de</a></p>
</body>
<!-- #EndTemplate --></html>
