package com.livis.flabes.util;

import java.io.*;
import java.util.jar.*;

public class JarUtils {

    private JarUtils () { }

    public static class NamedInputStream {
	public NamedInputStream (String name, InputStream in) { this.name = name; this.in = in; }
	String      name;
	InputStream in;
    }

    public static void createJar (OutputStream os, NamedInputStream[] ins) throws IOException {
	JarOutputStream jos = new JarOutputStream (os);
	for (int i = 0; i < ins.length; ++i) {
	    JarEntry je = new JarEntry (ins [i].name);
	    jos.putNextEntry (je); 
	    IOUtils.copy (jos, ins [i].in);
	}
	jos.close ();
    }
}
