package com.livis.flabes.xml;

import java.io.IOException;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class SunDOMParser
    implements DOMParserInterface {

    public Document parse (InputSource in,
			   boolean     doValidate) throws SAXException {
	Document result = null;
	try {
	    result = com.sun.xml.tree.XmlDocument.createXmlDocument (in, doValidate);
	} catch (IOException e) {
	    throw new SAXException (e);
	}
	return result;
    }
}
