/**
 * Title:        Living Talks Web Conference Tool<p>
 * Description:  Living Talks Web Conference Tool
 * using J2EE standards<p>
 * Copyright:    Copyright (c) Oliver Imbusch<p>
 * Company:      Living Pages Research GmbH<p>
 * @author Oliver Imbusch
 * @version 1.0
 */
package com.livis.livingtalks.ejb;

import com.livis.livingtalks.model.*;
import java.rmi.*;
import java.util.*;
import javax.ejb.*;

public interface TypeHome
    extends EJBHome {

    public Type       create           (TypeModel model) throws CreateException, RemoteException;

    public Type       findByPrimaryKey (String    name)  throws FinderException, RemoteException;
    public Collection findAll          ()                throws FinderException, RemoteException;
}
