package com.livis.livingtalks.model;

import com.livis.flabes.util.*;
import java.beans.*;
import java.sql.*;

public class SQLDateEditor
    extends PropertyEditorSupport {

    // format: 08.05.1967

    public String getAsText () {
	Date value = (Date)getValue ();
	return ""
	    + StringUtils.flushRight ("" +  value.getDate (),       2, '0')
	    + "."
	    + StringUtils.flushRight ("" + (value.getMonth () + 1), 2, '0')
	    + "."
	    +                              (value.getYear () + 1900);
    }

    public void setAsText (String text) {
	Date value = new Date (2000, 1, 1);
	value.setDate  (LTUtils.parseInt (text.substring (0, 0 + 2)));
	value.setMonth (LTUtils.parseInt (text.substring (3, 3 + 2)) -    1);
	value.setYear  (LTUtils.parseInt (text.substring (6, 6 + 4)) - 1900);
	setValue (value);
    }
}
