package com.livis.livingtalks.model;

import com.livis.flabes.util.*;
import java.beans.*;
import java.sql.*;

public class SQLTimeEditor
    extends PropertyEditorSupport {

    // format: 08:15

    public String getAsText () {
	Time value = (Time)getValue ();
	return ""
	    + StringUtils.flushRight ("" + value.getHours (),   2, '0')
	    + ":"
	    + StringUtils.flushRight ("" + value.getMinutes (), 2, '0');
    }

    public void setAsText (String text) {
	Time value = new Time (12, 0, 0);
	value.setHours   (LTUtils.parseInt (text.substring (0, 0 + 2)));
	value.setMinutes (LTUtils.parseInt (text.substring (3, 3 + 2)));
	setValue (value);
    }
}
