<html><!-- #BeginTemplate "/Templates/General.dwt" -->
<head>
<!-- #BeginEditable "jspinit" -->
<%@ page errorPage="lterror.jsp" import="com.livis.livingtalks.web.*, java.net.*, java.util.*" %>
<jsp:useBean id="webexport" scope="session" class="com.livis.livingtalks.web.ExportWebImpl" />
<%-- Set initial defaults and constants first, then override by optional parameters to JSP --%>
<% webexport.init (); %>
<jsp:setProperty name="webexport" property="storePath"   value="<%= application.getRealPath (request.getServletPath ()) %>" />
<jsp:setProperty name="webexport" property="requestPath" value="<%= HttpUtils.getRequestURL (request).toString () %>" />
<%
	// move datasets directory out of deploy directory but stay within root of webserver
	webexport.setStorePath   (webexport.getStorePath ()   + ".." + java.io.File.separator + "datasets" + java.io.File.separator);
	webexport.setRequestPath (webexport.getRequestPath () + "../datasets/");
%>
<jsp:setProperty name="webexport" property="*" />
<!-- #EndEditable --> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description" lang="en" content="LivingTalks Conference Management Tool">
<!-- #BeginEditable "doctitle" --> 
<title>LivingTalks -- the conference management tool</title>
<!-- #EndEditable --> 
<link rel="stylesheet" href="styles/node.css">
</head>
<body bgcolor="#FFFFFF">
<!-- #BeginEditable "Body" --> 
<%@ include file="banner.jsp" %>
<h1 class="masterhead">Export or backup</h1>
<p class="pnormal">You may store or output XML data which You may load or re-import later on,
 possibly after processing the XML file external to the LivingTalks tool. The entire database is output.</p>
<%-- Put this here because processRequest may output status messages --%>
<div style="background-color: #FFCC99">
<%
  String method = request.getParameter ("method");
  if (method == null || method.equals ("")) method = "clear";
  webexport.processRequest (method, out, request.getRemoteUser ());
%>
</div>
<p class="pnormal">Please, select a target where you want to backup or export to.
 Exporting to a named backup target will store the database on the server ready for later download or import.</p>
<table width="95%" border="0" cellspacing="0" align="center" cellpadding="4">
  <form method="post" name="theForm" action="export.jsp">
    <tr> 
      <td bgcolor="#FFCC99" valign="top"><b>Export on the fly: </b></td>
      <td bgcolor="#FFFFCC">
        <p class="pnormal"><b><a href="exportdata.xml" target="_blank">Display or download</a></b></p>
	    <p class="psmallNormal"><i>click onto this link to download (right-click) or display
	     (with an XML-capable browser such as MSIE 5.x) the current database's content.</i></p>
		<p class="psmall"><i>The data will not be stored on the server!</i></p>
		<p class="psmall"><i>For security reasons, you cannot use this link in the
		 "import from URL-field" of the import feature (cf. below).
		 However, you can copy the data to another location which is not password-protected
		 and import from there...</i></p>
	    <hr>
	  </td>
	</tr>
    <tr> 
      <td bgcolor="#FFCC99" valign="top"><b>Existing backup targets for export: </b></td>
      <td bgcolor="#FFFFCC">
        <% for (Iterator i = webexport.getSources ().iterator (); i.hasNext (); ) {
           WebMenu.Item wi = (WebMenu.Item) i.next (); %>
   	       <p class="pnormal"><a href="<%= webexport.getRequestPath () + wi.getValue () %>" target="_blank"><%= wi.getDisplay () %></a></p>
	    <% } %>
	    <p class="psmallNormal"><i>click onto any of these entries to download (right-click) or display
	     (with an XML-capable browser such as MSIE 5.x).</i></p>
		<p class="psmall"><i>You may also copy the URL of any entry to use it in the
		 "import from URL-field" of the import feature of another LivingTalks server (database-replication).</i></p>
	    <hr>
	  </td>
	</tr>
    <tr> 
      <td bgcolor="#FFCC99"><b>Backup target: </b></td>
      <td bgcolor="#FFFFCC">
        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td>
              <input type="text" name="exportName" size="60"
		       value="<jsp:getProperty name="webexport" property="exportName" />">
		      <p class="psmallNormal"><i>Clicking</i> "<code>backup</code>" <i>below will store the database under this name.</i></p>
		    </td>
		  </tr>
		</table>
	  </td>
	</tr>
    <tr valign="top"> 
      <td bgcolor="#FFCC99">&nbsp;</td>
      <td bgcolor="#FFFFCC" nowrap>
        <input type="submit" name="method" value="backup"  title="backup to target" bgcolor="#FFCC99" class="butt">
        &nbsp;&nbsp;&nbsp;&nbsp; 
        <input type="reset"  name="reset"  value="reset"   title="undo your current modifications" bgcolor="#FFCC99" class="butt">
        <input type="button" name="cancel" value="cancel"  title="quit the current operation" onClick="history.back()" bgcolor="#FFCC99" class="butt">
        &nbsp;&nbsp;&nbsp;&nbsp; 
        <input type="button" name="import" value="->import"  title="go to import" onClick="window.location.href = 'import.jsp';" bgcolor="#FFCC99" class="butt">
        <p class="footer" align="right"><b>Note:</b> The <kbd>[RETURN]</kbd>-key 
          has no effect, always click the appropriate button! This form requires javascript to work!</p>
      </td>
    </tr>
  </form>
</table>
<p>
  <br></p>
<!-- #EndEditable --> 
<p class="footer"><a href="http://www.living-pages.de" target="_blank"><img src="images/logo64.gif" width="64" height="64" align="right" hspace="10" border="0" alt="Living Pages Research GmbH"></a>&nbsp;</p>
<hr>
<p class="footer">LivingTalks conference tool. -- Copyright &copy;&nbsp;2000 
  <a href="http://www.living-pages.de" target="_blank" class="footerLink">Living 
  Pages Research GmbH</a>. All rights reserved</p>
<p class="footer">Version 1.1 -- Last updated <!-- #BeginEditable "UpDate" --><!-- #BeginDate format:Am1 -->June 
  30, 2000<!-- #EndDate --><!-- #EndEditable --> by <a href="mailto:webmaster@living-pages.de" class="footerLink">webmaster@living-pages.de</a></p>
</body>
<!-- #EndTemplate --></html>
