package com.livis.flabes.util.ejb;

import javax.ejb.*;

public class AbstractSessionBean
    implements SessionBean {

    //----------------------------------------------------------------------
    // interface SessionBean
    //----------------------------------------------------------------------
    public void ejbCreate () throws CreateException  { }
    public void ejbActivate () { }
    public void ejbPassivate () { }
    public void ejbRemove () { }

    private SessionContext context;
    public void setSessionContext (SessionContext context) { this.context = context; }
    //----------------------------------------------------------------------
    //FIXME: access right bug? if getSessionContext() is declared
    //abstract, it cannot be accessed from inner anonymous class of
    //derived UtilsEJB class
    public SessionContext getSessionContext () { return context; }
}
