package com.livis.flabes.xml;

import org.w3c.dom.*;

//----------------------------------------------------------------------
// XML (de-)serialization
//
// FIXME: replace by gerenal-purpose mechanism using
// introspection/reflection CAUTION: reflection <-> applet
// security
//----------------------------------------------------------------------
public interface DOMable {
    //----------------------------------------------------------------------
    // create from DOM element
    //----------------------------------------------------------------------
    public void fromElement (Element elem);

    //----------------------------------------------------------------------
    // create DOM element (doc is for factory methods)
    //----------------------------------------------------------------------
    public Element toElement (Document doc, String tagName);
    public Element toElement (Document doc);

    //----------------------------------------------------------------------
    // Let drived classes use super.toElement() and still change the
    // name of the enclosing tag:
    //
    // <base>
    //   <baseField>base value</baseField>
    // </base>
    //
    //    |
    //    V
    //
    // <derived>
    //   <baseField>base value </baseField>
    //   <derivedField>derived value</derivedField>
    // </derived>
    //
    // FIXME: Should be protected, but cannot be in inteface.
    //
    //----------------------------------------------------------------------
    public /* protected */ String getTagName ();
}
