package com.livis.flabes.xml;

import java.util.*;
import org.w3c.dom.*;

// FIXME: have general purpose FilterIterator (Matcher m)
// Matcher { boolean match (Object next) ...}
public class ElementListIterator
    implements Iterator {

    //----------------------------------------------------------------------
    // constructors
    //----------------------------------------------------------------------
    public ElementListIterator (NodeList nodeList) { i = new NodeListIterator (nodeList); }
    public ElementListIterator (Node     node)     { this (node.getChildNodes ()); }

    //----------------------------------------------------------------------
    // interface Iterator
    //----------------------------------------------------------------------
    public boolean hasNext () {
	while (i.hasNext ()) {
	    if ((hasNext = ((next = i.next ()) instanceof Element))) {
		return true;
	    }
	}
	return false;
    }
    public Object next () {
	if (!hasNext && !hasNext ()) {
	    throw new NoSuchElementException ();
	}
	hasNext = false;
	return next;
    }
    // optional, not supported
    public void remove () { throw new UnsupportedOperationException (getClass ().getName () + ".remove()"); }

    //----------------------------------------------------------------------
    private NodeListIterator i;
    private boolean          hasNext;
    private Object           next;
}
